Package org.jcsp.net.dynamic

# Interface MigratableChannelInput

All Superinterfaces:
  `ChannelInput`, `FilteredChannelInput`, `NetChannelInput`, `Networked`, `Poisonable`, `ReadFiltered`

All Known Implementing Classes:
  `MigratableAltingChannelInput`

public interface MigratableChannelInput extends NetChannelInput, FilteredChannelInput
A migratable networked input channel end.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`void`
`prepareToMove()`
Prepares the channel end for movement to another node.

### Methods inherited from interface org.jcsp.lang.ChannelInput

`endRead, read, startRead`

### Methods inherited from interface org.jcsp.net.NetChannelInput

`destroyReader, getFactoryClass`

### Methods inherited from interface org.jcsp.net.Networked

`getChannelLocation`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

### Methods inherited from interface org.jcsp.util.filter.ReadFiltered

`addReadFilter, addReadFilter, getReadFilter, getReadFilterCount, removeReadFilter, removeReadFilter`

## Method Details

### prepareToMove

void prepareToMove()
Prepares the channel end for movement to another node.